<?xml version="1.0" encoding="UTF-8"?>
<module name="org.jgroups.extension" slot="ispn-9.4" xmlns="urn:jboss:module:1.3">
    <properties>
        <property name="jboss.api" value="private"/>
    </properties>

    <resources>
        <artifact name="org.infinispan.server:infinispan-server-jgroups:9.4.9.Final"/>
    </resources>

    <dependencies>
        <module name="javax.api"/>
        <module name="jdk.unsupported" optional="true"/>
        <module name="org.infinispan.server.commons" slot="ispn-9.4"/>
        <module name="org.jboss.as.controller"/>
        <module name="org.jboss.as.core-security"/>
        <module name="org.jboss.as.domain-management"/>
        <module name="org.jboss.as.jmx"/>
        <module name="org.jboss.as.naming"/>
        <module name="org.jboss.as.network"/>
        <module name="org.jboss.as.server"/>
        <module name="org.jboss.as.threads"/>
        <module name="org.jboss.logging" slot="ispn-9.4"/>
        <module name="org.jboss.marshalling" slot="ispn-9.4"/>
        <module name="org.jboss.modules"/>
        <module name="org.jboss.msc"/>
        <module name="org.jboss.security.negotiation"/>
        <module name="org.jboss.staxmapper"/>
        <module name="org.jboss.threads"/>
        <module name="org.jgroups" slot="ispn-9.4"/>
        <module name="org.jgroups.azure" slot="ispn-9.4"/>
        <module name="org.jgroups.kubernetes" slot="ispn-9.4"/>
        <module name="org.wildfly.security.elytron-private" services="import"/>
        <module name="org.wildfly.security.manager"/>
        <module name="sun.jdk" optional="true"/>
    </dependencies>
</module>
